Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.colorspace
Class PDFColorSpace

    java.lang.Object
      com.sun.pdfview.colorspace.PDFColorSpace

Direct Known Subclasses:
  AlternateColorSpace, IndexedColor, PatternSpace

    public class PDFColorSpace

extends java.lang.Object

A color space that can convert a set of color components into PDFPaint.

Field Summary
`static int` | `COLORSPACE_CMYK` the name of the device-dependent CMYK color space
`static int` | `COLORSPACE_GRAY` the name of the device-dependent gray color space
`static int` | `COLORSPACE_PATTERN` the name of the pattern color space
`static int` | `COLORSPACE_RGB` the name of the device-dependent RGB color space

Constructor Summary
`PDFColorSpace(java.awt.color.ColorSpace cs)` create a PDFColorSpace based on a Java ColorSpace

Method Summary
`java.awt.color.ColorSpace` | `getColorSpace()` get the original Java ColorSpace.
`static PDFColorSpace` | `getColorSpace(int name)` Get a color space by name
`static PDFColorSpace` | `getColorSpace(PDFObject csobj, java.util.Map resources)` Get a color space specified in a PDFObject
`int` | `getNumComponents()` get the number of components expected in the getPaint command
`PDFPaint` | `getPaint(float[] components)` get the PDFPaint representing the color described by the given color components

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLORSPACE_GRAY

    public static final int COLORSPACE_GRAY

  the name of the device-dependent gray color space

  See Also:
    Constant Field Values

### COLORSPACE_RGB

    public static final int COLORSPACE_RGB

  the name of the device-dependent RGB color space

  See Also:
    Constant Field Values

### COLORSPACE_CMYK

    public static final int COLORSPACE_CMYK

  the name of the device-dependent CMYK color space

  See Also:
    Constant Field Values

### COLORSPACE_PATTERN

    public static final int COLORSPACE_PATTERN

  the name of the pattern color space

  See Also:
    Constant Field Values

Constructor Detail

### PDFColorSpace

    public PDFColorSpace(java.awt.color.ColorSpace cs)

  create a PDFColorSpace based on a Java ColorSpace

  Parameters:
    `cs` - the Java ColorSpace

Method Detail

### getColorSpace

    public static PDFColorSpace getColorSpace(int name)

  Get a color space by name

  Parameters:
    `name` - the name of one of the device-dependent color spaces

### getColorSpace

    public static PDFColorSpace getColorSpace(PDFObject csobj,
                                              java.util.Map resources)
                                       throws java.io.IOException

  Get a color space specified in a PDFObject

  Parameters:
    `csobj` - the PDFObject with the colorspace information
  Throws:
    `java.io.IOException`

### getNumComponents

    public int getNumComponents()

  get the number of components expected in the getPaint command

### getPaint

    public PDFPaint getPaint(float[] components)

  get the PDFPaint representing the color described by the given color components

  Parameters:
    `components` - the color components corresponding to the given colorspace
  Returns:
    a PDFPaint object representing the closest Color to the given components.

### getColorSpace

    public java.awt.color.ColorSpace getColorSpace()

  get the original Java ColorSpace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD